Get Nsx Cluster

Get Nsx Cluster
Retrieve the details of an NSX cluster by its ID

Retrieve the details of an NSX cluster by its ID

Request
URI
GET
https://{api_host}/v1/nsxt-clusters/{id}
COPY
Path Parameters
string
id
Required  

NSX cluster ID

Query Parameters
boolean
includeExternalProperties
Optional
Constraints: default: false

Retrieve the NSX-T external properties (native cluster ID) when this parameter is set to true


Responses
200

Ok

Returns NsxTCluster of type(s) application/json
{
    "id": "string",
    "nativeId": "string",
    "vipFqdn": "string",
    "vip": "string",
    "domains": [
        {
            "id": "string",
            "name": "string",
            "type": "string"
        }
    ],
    "nodes": [
        {
            "id": "string",
            "fqdn": "string",
            "ipAddress": "string",
            "name": "string"
        }
    ],
    "version": "string",
    "isShared": false,
    "isShareable": false,
    "isVlcmCompatible": false,
    "status": "One among: INITIALIZING, STABLE, DEGRADED, UNSTABLE, UNAVAILABLE, UNIDENTIFIED, UNDEFINED"
}
string
id
Read-Only  

ID of the cluster

string
nativeId
Read-Only  

Native ID of the NSX cluster

string
vipFqdn
Read-Only  

FQDN for VIP of the cluster

string
vip
Read-Only  

[Deprecated] VIP (Virtual IP Address) of the cluster

array of object
domains
Read-Only  

Information about the domains associated with the cluster

array of object
nodes
Read-Only  

Information about the NSX managers associated with the cluster

string
version
Read-Only  

Version of the NSX managers associated with the cluster

boolean
isShared
Read-Only  

Boolean to identify if the NSX cluster is shared among workload domains

boolean
isShareable
Read-Only  

Boolean to identify if the NSX cluster can be shared to create a new workload domain

boolean
isVlcmCompatible
Read-Only  

Boolean to identify if the NSX cluster is compatible with vLCM. This should not be used to determineif vLCM Clusters can be created on the domain

string
status
Read-Only  

NSX cluster status. To get NSX cluster status invoke nsxt-clusters query API with criterion NSXT_CLUSTERS_WITH_STATUS


404

NSX cluster not found

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

InternalServerError

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/nsxt-clusters/{id}